<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- XRef/xref1.html -->
<!-- this view was generated by XRef -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Cross Reference : Synopsis::Lexer::Queue::pop&#40;&#41; - Synopsis::PTree::Array::size</title>
<link href="../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="XRef">
<div class="navigation">
<span class="normal"><a href="../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../NameIndex.html" >Name Index</a></span>
</div>
<h1 >Cross Reference : Synopsis::Lexer::Queue::pop&#40;&#41; - Synopsis::PTree::Array::size</h1><div class="xref-name"><a id="Synopsis_mLexer_mQueue_mpop_l_r" /><h2 >Member function Synopsis::Lexer::Queue::pop&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html#pop_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#66">Synopsis/Lexer.hh:66</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mQueue_mpush_lconst.Token_A_r" /><h2 >Member function Synopsis::Lexer::Queue::push&#40;const Token&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html#push_lconst.Token_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#65">Synopsis/Lexer.hh:65</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mQueue_msize_l_rconst" /><h2 >Member function Synopsis::Lexer::Queue::size&#40;&#41;const</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html#size_l_rconst" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#61">Synopsis/Lexer.hh:61</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mQueue_msize_type" /><h2 >Typedef Synopsis::Lexer::Queue::size_type</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer/Queue.html#size_type" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#58">Synopsis/Lexer.hh:58</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#61">Synopsis/Lexer.hh:61</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
<li><a href="../Source/Synopsis/Lexer.hh.html#64">Synopsis/Lexer.hh:64</a>: in class <a href="../Scopes/Synopsis/Lexer/Queue.html" >Synopsis::Lexer::Queue</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mTokenSet" /><h2 >Enum Synopsis::Lexer::TokenSet</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#TokenSet" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#28">Synopsis/Lexer.hh:28</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mfill_lsize_t_r" /><h2 >Member function Synopsis::Lexer::fill&#40;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#fill_lsize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#79">Synopsis/Lexer.hh:79</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mget_comments_l_r" /><h2 >Member function Synopsis::Lexer::get_comments&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#get_comments_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#46">Synopsis/Lexer.hh:46</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mget_next_non_white_char_l_r" /><h2 >Member function Synopsis::Lexer::get_next_non_white_char&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#get_next_non_white_char_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#96">Synopsis/Lexer.hh:96</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mget_token_lToken_A_r" /><h2 >Member function Synopsis::Lexer::get_token&#40;Token&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#get_token_lToken_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#39">Synopsis/Lexer.hh:39</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mlook_ahead_lsize_t_r" /><h2 >Member function Synopsis::Lexer::look_ahead&#40;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#look_ahead_lsize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#40">Synopsis/Lexer.hh:40</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mlook_ahead_lsize_t_cToken_A_r" /><h2 >Member function Synopsis::Lexer::look_ahead&#40;size_t&#44;Token&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#look_ahead_lsize_t_cToken_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#41">Synopsis/Lexer.hh:41</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mmy_buffer" /><h2 >Data member Synopsis::Lexer::my_buffer</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#my_buffer" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#108">Synopsis/Lexer.hh:108</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mmy_comments" /><h2 >Data member Synopsis::Lexer::my_comments</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#my_comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#112">Synopsis/Lexer.hh:112</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mmy_keywords" /><h2 >Data member Synopsis::Lexer::my_keywords</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#my_keywords" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#110">Synopsis/Lexer.hh:110</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mmy_token" /><h2 >Data member Synopsis::Lexer::my_token</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#my_token" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#111">Synopsis/Lexer.hh:111</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mmy_tokens" /><h2 >Data member Synopsis::Lexer::my_tokens</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#my_tokens" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#109">Synopsis/Lexer.hh:109</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_morigin_lconst.char_S_cstd_mstring_A_rconst" /><h2 >Synopsis::Lexer::origin&#40;const char*&#44;std::string&amp;&#41;const</h2><ul>
<li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#50">Synopsis/Lexer.hh:50</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mread_char_const_lunsigned.long_r" /><h2 >Member function Synopsis::Lexer::read_char_const&#40;unsigned long&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#read_char_const_lunsigned.long_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#98">Synopsis/Lexer.hh:98</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mread_comment_lchar_cunsigned.long_r" /><h2 >Member function Synopsis::Lexer::read_comment&#40;char&#44;unsigned long&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#read_comment_lchar_cunsigned.long_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#106">Synopsis/Lexer.hh:106</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mread_float_lunsigned.long_r" /><h2 >Member function Synopsis::Lexer::read_float&#40;unsigned long&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#read_float_lunsigned.long_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#101">Synopsis/Lexer.hh:101</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mread_identifier_lunsigned.long_r" /><h2 >Member function Synopsis::Lexer::read_identifier&#40;unsigned long&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#read_identifier_lunsigned.long_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#102">Synopsis/Lexer.hh:102</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mread_line_l_r" /><h2 >Member function Synopsis::Lexer::read_line&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#read_line_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#97">Synopsis/Lexer.hh:97</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mread_number_lchar_cunsigned.long_r" /><h2 >Member function Synopsis::Lexer::read_number&#40;char&#44;unsigned long&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#read_number_lchar_cunsigned.long_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#100">Synopsis/Lexer.hh:100</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mread_separator_lchar_cunsigned.long_r" /><h2 >Member function Synopsis::Lexer::read_separator&#40;char&#44;unsigned long&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#read_separator_lchar_cunsigned.long_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#104">Synopsis/Lexer.hh:104</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mread_str_const_lunsigned.long_r" /><h2 >Member function Synopsis::Lexer::read_str_const&#40;unsigned long&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#read_str_const_lunsigned.long_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#99">Synopsis/Lexer.hh:99</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mread_token_lconst.char_S_A_csize_t_A_r" /><h2 >Member function Synopsis::Lexer::read_token&#40;const char*&amp;&#44;size_t&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#read_token_lconst.char_S_A_csize_t_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#75">Synopsis/Lexer.hh:75</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mrestore_lconst.char_S_r" /><h2 >Member function Synopsis::Lexer::restore&#40;const char*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#restore_lconst.char_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#44">Synopsis/Lexer.hh:44</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mrewind_lconst.char_S_r" /><h2 >Member function Synopsis::Lexer::rewind&#40;const char*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#rewind_lconst.char_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#73">Synopsis/Lexer.hh:73</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_msave_l_r" /><h2 >Member function Synopsis::Lexer::save&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#save_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#43">Synopsis/Lexer.hh:43</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mscreen_lconst.char_S_csize_t_r" /><h2 >Member function Synopsis::Lexer::screen&#40;const char*&#44;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#screen_lconst.char_S_csize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#103">Synopsis/Lexer.hh:103</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_msingle_char_op_lunsigned.char_r" /><h2 >Member function Synopsis::Lexer::single_char_op&#40;unsigned char&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#single_char_op_lunsigned.char_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#105">Synopsis/Lexer.hh:105</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mskip_asm_l_r" /><h2 >Member function Synopsis::Lexer::skip_asm&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#skip_asm_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#90">Synopsis/Lexer.hh:90</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mskip_attribute_l_r" /><h2 >Member function Synopsis::Lexer::skip_attribute&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#skip_attribute_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#86">Synopsis/Lexer.hh:86</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mskip_declspec_l_r" /><h2 >Member function Synopsis::Lexer::skip_declspec&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#skip_declspec_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#92">Synopsis/Lexer.hh:92</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mskip_extension_lconst.char_S_A_csize_t_A_r" /><h2 >Member function Synopsis::Lexer::skip_extension&#40;const char*&amp;&#44;size_t&amp;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#skip_extension_lconst.char_S_A_csize_t_A_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#88">Synopsis/Lexer.hh:88</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mskip_line_l_r" /><h2 >Member function Synopsis::Lexer::skip_line&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#skip_line_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#84">Synopsis/Lexer.hh:84</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mskip_paren_l_r" /><h2 >Member function Synopsis::Lexer::skip_paren&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#skip_paren_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#82">Synopsis/Lexer.hh:82</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mLexer_mskip_pragma_l_r" /><h2 >Member function Synopsis::Lexer::skip_pragma&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/Lexer.html#skip_pragma_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/Lexer.hh.html#94">Synopsis/Lexer.hh:94</a>: in class <a href="../Scopes/Synopsis/Lexer.html" >Synopsis::Lexer</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree" /><h2 >Namespace Synopsis::PTree</h2><ul>
<li><a href="../Scopes/Synopsis/PTree.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Display.hh.html#14">Synopsis/PTree/Display.hh:14</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/operations.hh.html#15">Synopsis/PTree/operations.hh:15</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/Encoding.hh.html#19">Synopsis/PTree/Encoding.hh:19</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#14">Synopsis/PTree/Visitor.hh:14</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/NodesFwd.hh.html#14">Synopsis/PTree/NodesFwd.hh:14</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/Writer.hh.html#15">Synopsis/PTree/Writer.hh:15</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/Atoms.hh.html#15">Synopsis/PTree/Atoms.hh:15</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#16">Synopsis/PTree/Lists.hh:16</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#21">Synopsis/PTree/Node.hh:21</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#16">Synopsis/PTree/TypeVisitor.hh:16</a>: in namespace <a href="../Scopes/Synopsis/PTree.html" >Synopsis::PTree</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAccessDecl" /><h2 >Class Synopsis::PTree::AccessDecl</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/AccessDecl.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#241">Synopsis/PTree/Lists.hh:241</a>: in class <a href="../Scopes/Synopsis/PTree/AccessDecl.html" >Synopsis::PTree::AccessDecl</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#48">Synopsis/PTree/TypeVisitor.hh:48</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#141">Synopsis/PTree/Visitor.hh:141</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#244">Synopsis/PTree/Lists.hh:244</a>: Constructor <a href="../Scopes/Synopsis/PTree/AccessDecl.html#AccessDecl_lNode_S_cNode_S_r" >AccessDecl&#40;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#245">Synopsis/PTree/Lists.hh:245</a>: Member function <a href="../Scopes/Synopsis/PTree/AccessDecl.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAccessDecl_mAccessDecl_lNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::AccessDecl::AccessDecl&#40;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/AccessDecl.html#AccessDecl_lNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#244">Synopsis/PTree/Lists.hh:244</a>: in class <a href="../Scopes/Synopsis/PTree/AccessDecl.html" >Synopsis::PTree::AccessDecl</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAccessDecl_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::AccessDecl::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/AccessDecl.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#245">Synopsis/PTree/Lists.hh:245</a>: in class <a href="../Scopes/Synopsis/PTree/AccessDecl.html" >Synopsis::PTree::AccessDecl</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAccessSpec" /><h2 >Class Synopsis::PTree::AccessSpec</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/AccessSpec.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#231">Synopsis/PTree/Lists.hh:231</a>: in class <a href="../Scopes/Synopsis/PTree/AccessSpec.html" >Synopsis::PTree::AccessSpec</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/TypeVisitor.hh.html#47">Synopsis/PTree/TypeVisitor.hh:47</a>: in class <a href="../Scopes/Synopsis/PTree/TypeVisitor.html" >Synopsis::PTree::TypeVisitor</a></li>
<li><a href="../Source/Synopsis/PTree/Visitor.hh.html#140">Synopsis/PTree/Visitor.hh:140</a>: in class <a href="../Scopes/Synopsis/PTree/Visitor.html" >Synopsis::PTree::Visitor</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Lists.hh.html#234">Synopsis/PTree/Lists.hh:234</a>: Constructor <a href="../Scopes/Synopsis/PTree/AccessSpec.html#AccessSpec_lNode_S_cNode_S_cNode_S_r" >AccessSpec&#40;Node*&#44;Node*&#44;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#235">Synopsis/PTree/Lists.hh:235</a>: Member function <a href="../Scopes/Synopsis/PTree/AccessSpec.html#accept_lVisitor_S_r" >accept&#40;Visitor*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#236">Synopsis/PTree/Lists.hh:236</a>: Member function <a href="../Scopes/Synopsis/PTree/AccessSpec.html#get_comments_l_r" >get_comments&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Lists.hh.html#238">Synopsis/PTree/Lists.hh:238</a>: Data member <a href="../Scopes/Synopsis/PTree/AccessSpec.html#my_comments" >my_comments</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAccessSpec_mAccessSpec_lNode_S_cNode_S_cNode_S_r" /><h2 >Constructor Synopsis::PTree::AccessSpec::AccessSpec&#40;Node*&#44;Node*&#44;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/AccessSpec.html#AccessSpec_lNode_S_cNode_S_cNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#234">Synopsis/PTree/Lists.hh:234</a>: in class <a href="../Scopes/Synopsis/PTree/AccessSpec.html" >Synopsis::PTree::AccessSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAccessSpec_maccept_lVisitor_S_r" /><h2 >Member function Synopsis::PTree::AccessSpec::accept&#40;Visitor*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/AccessSpec.html#accept_lVisitor_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#235">Synopsis/PTree/Lists.hh:235</a>: in class <a href="../Scopes/Synopsis/PTree/AccessSpec.html" >Synopsis::PTree::AccessSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAccessSpec_mget_comments_l_r" /><h2 >Member function Synopsis::PTree::AccessSpec::get_comments&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/AccessSpec.html#get_comments_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#236">Synopsis/PTree/Lists.hh:236</a>: in class <a href="../Scopes/Synopsis/PTree/AccessSpec.html" >Synopsis::PTree::AccessSpec</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mAccessSpec_mmy_comments" /><h2 >Data member Synopsis::PTree::AccessSpec::my_comments</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/AccessSpec.html#my_comments" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#238">Synopsis/PTree/Lists.hh:238</a>: in class <a href="../Scopes/Synopsis/PTree/AccessSpec.html" >Synopsis::PTree::AccessSpec</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Lists.hh.html#236">Synopsis/PTree/Lists.hh:236</a>: in member function <a href="../Scopes/Synopsis/PTree/AccessSpec.html#get_comments_l_r" >Synopsis::PTree::AccessSpec::get_comments&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray" /><h2 >Class Synopsis::PTree::Array</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#89">Synopsis/PTree/Node.hh:89</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
<li>Declarations:
<ul>
<li ><a href="../Source/Synopsis/PTree/Node.hh.html#92">Synopsis/PTree/Node.hh:92</a>: Constructor <a href="../Scopes/Synopsis/PTree/Array.html#Array_lsize_t_r" >Array&#40;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#93">Synopsis/PTree/Node.hh:93</a>: Member function <a href="../Scopes/Synopsis/PTree/Array.html#number_l_r" >number&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#94">Synopsis/PTree/Node.hh:94</a>: Member function <a href="../Scopes/Synopsis/PTree/Array.html#operator_b_B_lsize_t_r" >operator[]&#40;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#95">Synopsis/PTree/Node.hh:95</a>: Member function <a href="../Scopes/Synopsis/PTree/Array.html#ref_lsize_t_r" >ref&#40;size_t&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#96">Synopsis/PTree/Node.hh:96</a>: Member function <a href="../Scopes/Synopsis/PTree/Array.html#append_lNode_S_r" >append&#40;Node*&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#97">Synopsis/PTree/Node.hh:97</a>: Member function <a href="../Scopes/Synopsis/PTree/Array.html#clear_l_r" >clear&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#98">Synopsis/PTree/Node.hh:98</a>: Member function <a href="../Scopes/Synopsis/PTree/Array.html#all_l_r" >all&#40;&#41;</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#100">Synopsis/PTree/Node.hh:100</a>: Data member <a href="../Scopes/Synopsis/PTree/Array.html#num" >num</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#100">Synopsis/PTree/Node.hh:100</a>: Data member <a href="../Scopes/Synopsis/PTree/Array.html#size" >size</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#101">Synopsis/PTree/Node.hh:101</a>: Data member <a href="../Scopes/Synopsis/PTree/Array.html#array" >array</a></li><li ><a href="../Source/Synopsis/PTree/Node.hh.html#102">Synopsis/PTree/Node.hh:102</a>: Data member <a href="../Scopes/Synopsis/PTree/Array.html#default_buf" >default_buf</a></li></ul>
</li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray_mArray_lsize_t_r" /><h2 >Constructor Synopsis::PTree::Array::Array&#40;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html#Array_lsize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#92">Synopsis/PTree/Node.hh:92</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray_mall_l_r" /><h2 >Member function Synopsis::PTree::Array::all&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html#all_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#98">Synopsis/PTree/Node.hh:98</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray_mappend_lNode_S_r" /><h2 >Member function Synopsis::PTree::Array::append&#40;Node*&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html#append_lNode_S_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#96">Synopsis/PTree/Node.hh:96</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray_marray" /><h2 >Data member Synopsis::PTree::Array::array</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html#array" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#101">Synopsis/PTree/Node.hh:101</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray_mclear_l_r" /><h2 >Member function Synopsis::PTree::Array::clear&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html#clear_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#97">Synopsis/PTree/Node.hh:97</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray_mdefault_buf" /><h2 >Data member Synopsis::PTree::Array::default_buf</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html#default_buf" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#102">Synopsis/PTree/Node.hh:102</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray_mnum" /><h2 >Data member Synopsis::PTree::Array::num</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html#num" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#100">Synopsis/PTree/Node.hh:100</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
<li>Referenced from:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#93">Synopsis/PTree/Node.hh:93</a>: in member function <a href="../Scopes/Synopsis/PTree/Array.html#number_l_r" >Synopsis::PTree::Array::number&#40;&#41;</a></li>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#97">Synopsis/PTree/Node.hh:97</a>: in member function <a href="../Scopes/Synopsis/PTree/Array.html#clear_l_r" >Synopsis::PTree::Array::clear&#40;&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray_mnumber_l_r" /><h2 >Member function Synopsis::PTree::Array::number&#40;&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html#number_l_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#93">Synopsis/PTree/Node.hh:93</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray_moperator_b_B_lsize_t_r" /><h2 >Member function Synopsis::PTree::Array::operator[]&#40;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html#operator_b_B_lsize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#94">Synopsis/PTree/Node.hh:94</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray_mref_lsize_t_r" /><h2 >Member function Synopsis::PTree::Array::ref&#40;size_t&#41;</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html#ref_lsize_t_r" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#95">Synopsis/PTree/Node.hh:95</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
<li>Called from:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#94">Synopsis/PTree/Node.hh:94</a>: in member function <a href="../Scopes/Synopsis/PTree/Array.html#operator_b_B_lsize_t_r" >Synopsis::PTree::Array::operator[]&#40;size_t&#41;</a></li>
</ul></li>
</ul>
</div><div class="xref-name"><a id="Synopsis_mPTree_mArray_msize" /><h2 >Data member Synopsis::PTree::Array::size</h2><ul>
<li><a href="../Scopes/Synopsis/PTree/Array.html#size" >Documentation</a></li><li>Defined at:
<ul>
<li><a href="../Source/Synopsis/PTree/Node.hh.html#100">Synopsis/PTree/Node.hh:100</a>: in class <a href="../Scopes/Synopsis/PTree/Array.html" >Synopsis::PTree::Array</a></li>
</ul></li>
</ul>
</div>
<div class="logo">Generated on Thu Apr 16 16:28:05 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
